Bug 1007538 - Add versioning to *.js and *.css files to prevent browser caching
Add versioning to *.js and *.css files to prevent browser caching
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.9
Unspecified Unspecified
unspecified Severity unspecified (vote)
: ---
: RHQ 4.10
Assigned To: RHQ Project Maintainer
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-12 13:29 EDT by Mike Thompson
Modified: 2014-04-23 08:31 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-04-23 08:31:54 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike Thompson 2013-09-12 13:29:17 EDT
Description of problem:
On upgrades from previous releases it is possible (depending on client browser settings) that cached versions of the previous released files will be used instead of the new files.

This can be fixed by appending identifier (release# or git SHA or something else) to *.js and *.css files.


[This will be more of a build/maven issue to feed build# to GWT app at compile time]
Comment 1 Mike Thompson 2013-09-17 10:45:49 EDT
Committed to master: a7747a6

This is a manual fix to the versioning issue, which should be fine because I wouldn't expect those files to change very often anyway and when they do change it should be a very deliberate issue.

In the future, if we do see these files changing often, then at that point, we may want to add an automated maven process.



QE NOTE: To check this confirm with Firebug or chrome dev tools that the rhq.js file is no longer pulled up with the application and that the versioned file is used instead: rhq-4.9.0.js

http://<server>:7080/coregui/js/rhq-4.9.0.js
Comment 2 Heiko W. Rupp 2014-04-23 08:31:54 EDT
Bulk closing of 4.10 issues.

If an issue is not solved for you, please open a new BZ (or clone the existing one) with a version designator of 4.10.

Note You need to log in before you can comment on or make changes to this bug.